#![no_main]
#![no_std]

use cortex_m_rt::entry;
use log::info;
use panic_halt as _;
use stm32f4xx_hal::pac::{CorePeripherals, Peripherals};

mod device;
mod laser_diode;
use device::{boot::bootup, sys_timer};

#[entry]
fn main() -> ! {
    let core_perif = CorePeripherals::take().unwrap();
    let perif = Peripherals::take().unwrap();

    let mut wd = bootup(core_perif, perif);

    loop {
        wd.feed();
        info!("looping");
        sys_timer::sleep(10);
    }
}
